Several wrappers and interfaces exist to use pandoc in other programming languages or via a graphical user interface (**GUI**). A **wrapper** can be used to run the pandoc executable while an **interface** gives access to the abstract syntax tree (AST) of Pandoc documents, for instance to create [[pandoc filters]]. A **writer** is an interface that can only be used to create pandoc documents but not to modify them.

Language	| Type	| Name and link	| Maintainer  
---	| ---	| ---	| ---  
C	| wrapper	| [libpandoc](http://github.com/ShabbyX/libpandoc/tree/master)	| Shahbaz Youssefi  
Electron	| GUI	| [PandocElectron](https://niebert.github.io/PanDocElectron/) ([Github](https://github.com/niebert/PanDocElectron))	| Engelbert Niehaus
Elixir	| interface	| [Panpipe](https://github.com/marcelotto/panpipe)	| Marcel Otto  
Groovy	| interface	| [groovy-pandoc](https://github.com/dfrommi/groovy-pandoc)	| Dennis Frommknecht  
Java	| wrapper	| [Universal Document Converter](https://bitbucket.org/leito/universal-document-converter)	| Leonardo S. De Seta  
JavaScript	| wrapper	| [grunt-node-pandoc](https://www.npmjs.com/package/grunt-node-pandoc)	| Eric R. Shinn  
JavaScript	| interface	| [pandoc-filter](https://www.npmjs.com/package/pandoc-filter)	| Mike Henderson  
JavaScript	| wrapper	| [node-pdc](https://github.com/pvorb/node-pdc)	| Paul Vorbach  
JavaScript	| wrapper	| [node-pandoc](https://www.npmjs.com/package/node-pandoc)	| Eric R. Shinn  
JavaScript	| wrapper	| [simple-pandoc](https://www.npmjs.com/package/simple-pandoc)	| Hyunje Jun  
JavaScript	| wrapper	| [paja](https://www.npmjs.com/package/paja)	| Huub de Beer  
.NET    | interface     | PandocFilters ([NuGet](https://www.nuget.org/packages/PandocFilters/), [GitHub](https://github.com/zspitz/PandocFilters)) | Zev Spitz  
Pascal	| wrapper	| [PasPandoc](https://github.com/htdebeer/PasPandoc)	| Huub de Beer  
Perl	| interface	| [Pandoc::Elements](https://metacpan.org/pod/Pandoc::Elements)	| Jakob Voß  
Perl	| wrapper	| [Pandoc](https://metacpan.org/pod/Pandoc)	| Jakob Voß  
PHP	| interface	| [pandocfilters-php](https://github.com/vinai/pandocfilters-php)	| Vinai Kopp  
Python	| GUI	| PanConvert ([GitHub](https://github.com/apaeffgen/PanConvert), [SourceForge](http://panconvert.sourceforge.net))	| Andreas Paeffgen  
Python	| interface	| [panflute](https://github.com/sergiocorreia/panflute)	| Sergio Correia  
Python	| interface	| [pandocfilters](https://github.com/jgm/pandocfilters)	| John MacFarlane  
Python	| wrapper	| [pypandoc](https://github.com/bebraw/pypandoc)	| Juho Vepsäläinen  
Python	| wrapper	| [Pyandoc](https://github.com/kennethreitz/pyandoc)	| Kenneth Reitz  
R	| writer	| [pander](https://github.com/Rapporter/pander)	| Gergely Daróczi  
R       | wrapper       | [rmarkdown](https://github.com/rstudio/rmarkdown/) (see [here](https://rmarkdown.rstudio.com/docs/reference/index.html#section-pandoc) for the Pandoc wrapper functions in particular) | Yihui Xie
Ruby	| interface	| [Paru](https://heerdebeer.org/Software/markdown/paru/)	| Huub de Beer  
Ruby	| wrapper	| [pandoc-ruby](https://github.com/alphabetum/pandoc-ruby)	| William Melody  
Ruby	| wrapper	| [Pandoku](https://github.com/lunant/pandoku)	| Hong Minhee  
Scala	| wrapper	| [scala-pandoc](https://github.com/pvorb/scala-pandoc)	| Paul Vorbach  
Web	| interface	| [Typademic](https://typademic.ch) ([Github](https://github.com/maehr/typademic))	| Moritz Mähr
